{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "# [Community]()\n",
    "\n",
    "> A community shares resources and experiences."
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "-"
    }
   },
   "source": [
    "Communities **self-organize** to engineer **solutions** to **problems** within a set of **geographical** \n",
    "and **material** constraints."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "skip"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<style>\n",
       "    iframe {\n",
       "        width: 100%;\n",
       "        min-height: 80vh;\n",
       "        max-height: 1000px;\n",
       "    }\n",
       "</style>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "<style>\n",
       "body.rise-hack-active div.reveal .code_cell .input,\n",
       "body.rise-hack-active div.reveal .output_stderr {\n",
       "    display: none;\n",
       "}\n",
       "button.rise-hack:hover {\n",
       "    opacity: 0.7;\n",
       "}\n",
       "button.rise-hack {\n",
       "    font-weight: bold;\n",
       "}\n",
       "body.rise-hack-active button.rise-hack {\n",
       "    text-decoration: line-through;\n",
       "}\n",
       "</style>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "application/javascript": [
       ";(function(){\n",
       "    function init() {\n",
       "        $(\"button.rise-hack\").remove();\n",
       "        $(\"body\").addClass(\"rise-hack-active\");\n",
       "        var btn = $(\"<button/>\", {\"class\": \"rise-hack\"}).text(\"</>\");\n",
       "        btn.bind(\"click\", function(){\n",
       "            $(\"body\").toggleClass(\"rise-hack-active\");\n",
       "            Reveal.layout();\n",
       "        });\n",
       "        $(\".controls\").append(btn);\n",
       "    }\n",
       "\n",
       "    function subscribe(){\n",
       "        if(!window.Reveal){\n",
       "            return setTimeout(subscribe, 1000);\n",
       "        }\n",
       "        Reveal.addEventListener('ready', init);\n",
       "        init();\n",
       "    }\n",
       "    subscribe();\n",
       "}).call(this);"
      ],
      "text/plain": [
       "<IPython.core.display.Javascript object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "from renci.style import *\n",
    "%load_ext literacy.template"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Community_ & [Media]()\n",
       "\n",
       "All we know about communities are in the sparse media they have left behind."
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Community_ & [Media]()\n",
    "\n",
    "All we know about communities are in the sparse media they have left behind."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "[Code of Hammurabi](https://en.m.wikipedia.org/wiki/Code_of_Hammurabi \"-1754\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Code_of_Hammurabi\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x104acfe48>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "[Code of Hammurabi](https://en.m.wikipedia.org/wiki/Code_of_Hammurabi \"-1754\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "[Rosetta Stone](https://en.m.wikipedia.org/wiki/Rosetta_Stone \"-196\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Rosetta_Stone\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x1045292e8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "[Rosetta Stone](https://en.m.wikipedia.org/wiki/Rosetta_Stone \"-196\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "[Magna Carta](https://en.m.wikipedia.org/wiki/Magna_Carta \"1215\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Magna_Carta\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x103b515c0>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "[Magna Carta](https://en.m.wikipedia.org/wiki/Magna_Carta \"1215\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "[Gutenberg bible](https://en.m.wikipedia.org/wiki/Gutenberg_Bible \"1450\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Gutenberg_Bible\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x104a61d30>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "[Gutenberg bible](https://en.m.wikipedia.org/wiki/Gutenberg_Bible \"1450\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "[Declaration of Independence](https://en.m.wikipedia.org/wiki/United_States_Declaration_of_Independence \"1819\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/United_States_Declaration_of_Independence\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x103b51550>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "[Declaration of Independence](https://en.m.wikipedia.org/wiki/United_States_Declaration_of_Independence \"1819\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://www.high.org/exhibition/basquiat-notebooks/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10ed4f780>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://www.high.org/exhibition/basquiat-notebooks/"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "skip"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "* AIM\n",
       "* Napster\n",
       "* Jabber\n",
       "* Hangouts, Messenger, iChat\n",
       "\n",
       "---\n",
       "\n",
       "* GeoCities\n",
       "* Social Media\n",
       "* Facebook Events"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "* AIM\n",
    "* Napster\n",
    "* Jabber\n",
    "* Hangouts, Messenger, iChat\n",
    "\n",
    "---\n",
    "\n",
    "* GeoCities\n",
    "* Social Media\n",
    "* Facebook Events"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "scrolled": true,
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Community_ & [Culture]()"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Community_ & [Culture]()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://www.openculture.com/2013/10/4000-years-of-history-in-histomap-from-1931.html\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10ed4fa20>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "http://www.openculture.com/2013/10/4000-years-of-history-in-histomap-from-1931.html"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "fragment"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "* Old Time magazines\n",
       "* Newspapers\n",
       "* Sears Catalog\n",
       "* Zines\n",
       "\n",
       "---\n",
       "\n",
       "\n",
       "* USENET\n",
       "* IRC \n",
       "* BBS \n",
       "* MUDs"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "* Old Time magazines\n",
    "* Newspapers\n",
    "* Sears Catalog\n",
    "* Zines\n",
    "\n",
    "---\n",
    "\n",
    "\n",
    "* USENET\n",
    "* IRC \n",
    "* BBS \n",
    "* MUDs"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "> ##  [The First Web Page](http://info.cern.ch/hypertext/WWW/TheProject.html \"1990\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://info.cern.ch/hypertext/WWW/TheProject.html\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x103adc898>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "> ##  [The First Web Page](http://info.cern.ch/hypertext/WWW/TheProject.html \"1990\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "> ##  The web needs _both raw data_ -- _fresh hypertext_ or old plain text files, or _smart servers_ giving views of existing databases\n",
       "> – [Helping.html (1990)](http://info.cern.ch/hypertext/WWW/Helping.html)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "> ##  The web needs _both raw data_ -- _fresh hypertext_ or old plain text files, or _smart servers_ giving views of existing databases\n",
    "> – [Helping.html (1990)](http://info.cern.ch/hypertext/WWW/Helping.html)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "skip"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Community_ & [Culture]()\n",
       "\n",
       "Museums curate the _art_, _craft_ or _media_ of communities with great impact.\n",
       "\n",
       "Group Identities\n",
       "\n",
       "* IKEA\n",
       "* Instagram, Pinterest\n",
       "* Flickr\n",
       "* Beautiful Losers & Skateboarding\n",
       "* Warhol\n",
       "* Sears Roebuck Catalog"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "Museums curate the _art_, _craft_ or _media_ of communities with great impact.\n",
    "\n",
    "Group Identities\n",
    "\n",
    "* IKEA\n",
    "* Instagram, Pinterest\n",
    "* Flickr\n",
    "* Beautiful Losers & Skateboarding\n",
    "* Warhol\n",
    "* Sears Roebuck Catalog"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Community_ & [Design]()\n",
       "\n",
       "> .. it was Plato (ca. 427 347 BCE) who decreed that all geometric constructions should be done with a straightedge and compass alone.\n",
       "- excerpt from _Beautiful Geometry_, Maor, Jost; 2014"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Community_ & [Design]()\n",
    "\n",
    "> .. it was Plato (ca. 427 347 BCE) who decreed that all geometric constructions should be done with a straightedge and compass alone.\n",
    "- excerpt from _Beautiful Geometry_, Maor, Jost; 2014"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.wikipedia.org/wiki/Form_follows_function#Origins_of_the_phrase\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10ed4f780>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://en.wikipedia.org/wiki/Form_follows_function#Origins_of_the_phrase"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://player.vimeo.com/video/75234192\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x113e65668>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://player.vimeo.com/video/75234192"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Community_ & [Systems]()\n",
       "\n",
       "\n",
       "> The Eagle soars in the summit of Heaven,\n",
       "The Hunter with his dogs pursues his circuit.\n",
       "O perpetual revolution of configured stars,\n",
       "O perpetual recurrence of determined seasons,\n",
       "O world of spring and autumn, birth and dying!\n",
       "The endless cycle of idea and action,\n",
       "Endless invention, endless experiment,\n",
       "Brings knowledge of motion, but not of stillness;\n",
       "Knowledge of speech, but not of silence;\n",
       "Knowledge of words, and ignorance of the Word.\n",
       "All our knowledge brings us nearer to death,\n",
       "But nearness to death no nearer to God.\n",
       "Where is the Life we have lost in living?\n",
       "Where is the wisdom we have lost in knowledge?\n",
       "Where is the knowledge we have lost in information?\n",
       "The cycles of Heaven in twenty centuries\n",
       "Brings us farther from God and nearer to the Dust.\n",
       "\n",
       "    \n",
       "> [T.S. Eliot - The Rock](http://www.tech-samaritan.org/blog/2010/06/16/choruses-from-the-rock-t-s-eliot/)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Community_ & [Systems]()\n",
    "\n",
    "\n",
    "> The Eagle soars in the summit of Heaven,\n",
    "The Hunter with his dogs pursues his circuit.\n",
    "O perpetual revolution of configured stars,\n",
    "O perpetual recurrence of determined seasons,\n",
    "O world of spring and autumn, birth and dying!\n",
    "The endless cycle of idea and action,\n",
    "Endless invention, endless experiment,\n",
    "Brings knowledge of motion, but not of stillness;\n",
    "Knowledge of speech, but not of silence;\n",
    "Knowledge of words, and ignorance of the Word.\n",
    "All our knowledge brings us nearer to death,\n",
    "But nearness to death no nearer to God.\n",
    "Where is the Life we have lost in living?\n",
    "Where is the wisdom we have lost in knowledge?\n",
    "Where is the knowledge we have lost in information?\n",
    "The cycles of Heaven in twenty centuries\n",
    "Brings us farther from God and nearer to the Dust.\n",
    "\n",
    "    \n",
    "> [T.S. Eliot - The Rock](http://www.tech-samaritan.org/blog/2010/06/16/choruses-from-the-rock-t-s-eliot/)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/How_to_Solve_It\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x103acaf98>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://en.m.wikipedia.org/wiki/How_to_Solve_It"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Bauhaus\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x103acafd0>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://en.m.wikipedia.org/wiki/Bauhaus"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### [Paul Klee]()\n",
       "\n",
       "> A line is a dot that went for a walk."
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### [Paul Klee]()\n",
    "\n",
    "> A line is a dot that went for a walk."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "-"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://www.zpk.org/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x104a48ac8>"
      ]
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "\n",
    "    IFrame(\"https://www.zpk.org/\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://www.openculture.com/2016/03/3900-pages-of-paul-klees-personal-notebooks-are-now-online.html\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x104b8bc88>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "http://www.openculture.com/2016/03/3900-pages-of-paul-klees-personal-notebooks-are-now-online.html"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://www.kleegestaltungslehre.zpk.org/ee/ZPK/BF/2012/01/01/001/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10260f128>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "http://www.kleegestaltungslehre.zpk.org/ee/ZPK/BF/2012/01/01/001/"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### [Josef Albers](https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/105616439&amp;color=%23ff5500&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;show_teaser=true&amp;visual=true)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/105616439&amp;color=%23ff5500&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;show_teaser=true&amp;visual=true\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x103ae1278>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### [Josef Albers](https://w.soundcloud.com/player/?url=https%3A//api.soundcloud.com/tracks/105616439&amp;color=%23ff5500&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;show_teaser=true&amp;visual=true)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://printingcode.runemadsen.com/lecture-color\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10260f128>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "http://printingcode.runemadsen.com/lecture-color"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### [Johannes Itten](https://en.m.wikipedia.org/wiki/Johannes_Itten#Influence)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Johannes_Itten#Influence\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x101d1c160>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### [Johannes Itten](https://en.m.wikipedia.org/wiki/Johannes_Itten#Influence)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "> [](https://thecolourjournal.files.wordpress.com/2014/09/itten_presentation1oct2.pdf#page=3)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://thecolourjournal.files.wordpress.com/2014/09/itten_presentation1oct2.pdf#page=3\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x104a486a0>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "> [](https://thecolourjournal.files.wordpress.com/2014/09/itten_presentation1oct2.pdf#page=3)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/A_Mathematical_Theory_of_Communication\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x101d1c160>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://en.m.wikipedia.org/wiki/A_Mathematical_Theory_of_Communication"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/The_Mother_of_All_Demos\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x101d99a90>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://en.m.wikipedia.org/wiki/The_Mother_of_All_Demos"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://us.steelclassic.com/bauhaus-designer.html\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10260f240>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "http://us.steelclassic.com/bauhaus-designer.html"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "* Goal is **insight**, not **entertainment**... though **insight** can be _entertaining_\n",
       "* Communities use systems that do **work** when humans **can't**... or **shouldn't**"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "* Goal is **insight**, not **entertainment**... though **insight** can be _entertaining_\n",
    "* Communities use systems that do **work** when humans **can't**... or **shouldn't**"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Community_ & [Materials]()"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Community_ & [Materials]()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "scrolled": true,
    "slideshow": {
     "slide_type": "-"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [Decline of library usage](https://en.m.wikipedia.org/wiki/Trends_in_library_usage#Academic_libraries)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Trends_in_library_usage#Academic_libraries\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x101d1c160>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [Decline of library usage](https://en.m.wikipedia.org/wiki/Trends_in_library_usage#Academic_libraries)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://www.hermanmiller.com/content/hermanmiller/northamerica/en_us/home/research/research-summaries/the-once-and-future-library.html\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x104b8bc88>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://www.hermanmiller.com/content/hermanmiller/northamerica/en_us/home/research/research-summaries/the-once-and-future-library.html"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "<blockquote class=\"twitter-tweet\" data-lang=\"en\"><p lang=\"en\" dir=\"ltr\">fuck paywalls for research papers, fuck paying to publish. these things do nothing good for science. i can&#39;t even access my own work.</p>&mdash; Tony Fast (@DocFast) <a href=\"https://twitter.com/DocFast/status/922282015281569792?ref_src=twsrc%5Etfw\">October 23, 2017</a></blockquote>\n",
       "<script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "<blockquote class=\"twitter-tweet\" data-lang=\"en\"><p lang=\"en\" dir=\"ltr\">fuck paywalls for research papers, fuck paying to publish. these things do nothing good for science. i can&#39;t even access my own work.</p>&mdash; Tony Fast (@DocFast) <a href=\"https://twitter.com/DocFast/status/922282015281569792?ref_src=twsrc%5Etfw\">October 23, 2017</a></blockquote>\n",
    "<script async src=\"https://platform.twitter.com/widgets.js\" charset=\"utf-8\"></script>"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "# [Scihub](https://en.m.wikipedia.org/wiki/Sci-Hub \"2011\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Sci-Hub\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x104057748>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "# [Scihub](https://en.m.wikipedia.org/wiki/Sci-Hub \"2011\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "* Github\n",
       "    * Science\n",
       "    * Students\n",
       "    * Desktop"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "* Github\n",
    "    * Science\n",
    "    * Students\n",
    "    * Desktop"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "fragment"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "> Integration into the Web of Knowledge?"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "> Integration into the Web of Knowledge?"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "fragment"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "* Universal Content Identity\n",
       "    * Zenodo (DOI) - A CERN project\n",
       "    * Blockchain\n",
       "    * Interplanetary File System\n",
       "    * DAT - A Moore Foundation Project\n",
       "* Publishing\n",
       "    * Journal of Open Source Science\n",
       "    * Rescience"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "* Universal Content Identity\n",
    "    * Zenodo (DOI) - A CERN project\n",
    "    * Blockchain\n",
    "    * Interplanetary File System\n",
    "    * DAT - A Moore Foundation Project\n",
    "* Publishing\n",
    "    * Journal of Open Source Science\n",
    "    * Rescience"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Community_ & [Community]()\n",
       "\n",
       "[![](https://www.numfocus.org/wp-content/uploads/NumFocus_LRG.png)](https://www.numfocus.org/)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Community_ & [Community]()\n",
    "\n",
    "[![](https://www.numfocus.org/wp-content/uploads/NumFocus_LRG.png)](https://www.numfocus.org/)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "<script async class=\"speakerdeck-embed\" data-slide=\"8\" data-id=\"87e03729ebb640f9b990ff079bc49651\" data-ratio=\"1.33333333333333\" src=\"//speakerdeck.com/assets/embed.js\"></script>"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "<script async class=\"speakerdeck-embed\" data-slide=\"8\" data-id=\"87e03729ebb640f9b990ff079bc49651\" data-ratio=\"1.33333333333333\" src=\"//speakerdeck.com/assets/embed.js\"></script>"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "Anaconda and the founders thought this was important too!\n",
       "\n",
       "                    __import__('particles.Anaconda_');\n",
       "\n",
       "[![](https://www.anaconda.com/wp-content/themes/anaconda/images/logo-dark.png)](https://anaconda.org)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/markdown": [
       "## There are 476 packages in the Anaconda Distribution 5.0"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "Anaconda and the founders thought this was important too!\n",
    "\n",
    "                    __import__('particles.Anaconda_');\n",
    "\n",
    "[![](https://www.anaconda.com/wp-content/themes/anaconda/images/logo-dark.png)](https://anaconda.org)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "slideshow": {
     "slide_type": "fragment"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "![](https://conda-forge.org/img/anvil_black.png)\n",
       "        \n",
       "        __import__('particles.Conda Forge Packages');"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/markdown": [
       "## There are 3246 packages by the Conda Forge community"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "![](https://conda-forge.org/img/anvil_black.png)\n",
    "        \n",
    "        __import__('particles.Conda Forge Packages');"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [conda ![](https://conda-forge.org/img/anvil_black.png) forge has had rapid growth in the past year and a half]()\n",
       "\n",
       "        __import__('particles.Conda Forge');"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAYEAAAFrCAYAAAA3hjXAAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\n3irrAzkoGwAAAABJRU5ErkJggg==\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x10e19cf98>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [conda ![](https://conda-forge.org/img/anvil_black.png) forge has had rapid growth in the past year and a half]()\n",
    "\n",
    "        __import__('particles.Conda Forge');"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://anaconda.org/ijstokes/anaconda-and-the-python-ecosystem/notebook?version=2016.05.25.0535#Breakfast-Torus-In-Python\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x113e994a8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://anaconda.org/ijstokes/anaconda-and-the-python-ecosystem/notebook?version=2016.05.25.0535"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "# There are 95 Jupyter kernels"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Jupyter/IPython Version</th>\n",
       "      <th>Language(s) Version</th>\n",
       "      <th>3rd party dependencies</th>\n",
       "      <th>Example Notebooks</th>\n",
       "      <th>Notes</th>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Name</th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>Coarray-Fortran</th>\n",
       "      <td>Jupyter 4.0</td>\n",
       "      <td>Fortran 2008/2015</td>\n",
       "      <td>GFortran &gt;= 7.1, OpenCoarrays, MPICH &gt;= 3.2</td>\n",
       "      <td>Demo, Binder demo</td>\n",
       "      <td>Docker image</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>sparkmagic</th>\n",
       "      <td>Jupyter &gt;=4.0</td>\n",
       "      <td>Pyspark (Python 2 &amp; 3), Spark (Scala), SparkR (R)</td>\n",
       "      <td>Livy</td>\n",
       "      <td>Notebooks, Docker Images</td>\n",
       "      <td>This kernels are implemented via the magics ma...</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>sas_kernel</th>\n",
       "      <td>Jupyter 4.0</td>\n",
       "      <td>python &gt;= 3.3</td>\n",
       "      <td>SAS 9.4 or higher</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IPyKernel</th>\n",
       "      <td>Jupyter 4.0</td>\n",
       "      <td>python 2.7, &gt;= 3.3</td>\n",
       "      <td>pyzmq</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IJulia</th>\n",
       "      <td>NaN</td>\n",
       "      <td>julia &gt;= 0.3</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IHaskell</th>\n",
       "      <td>NaN</td>\n",
       "      <td>ghc &gt;= 7.6</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IRuby</th>\n",
       "      <td>NaN</td>\n",
       "      <td>ruby &gt;= 2.1</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IJavascript</th>\n",
       "      <td>NaN</td>\n",
       "      <td>nodejs &gt;= 0.10</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>jpCoffeescript</th>\n",
       "      <td>NaN</td>\n",
       "      <td>coffeescript &gt;= 1.7</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>ICSharp</th>\n",
       "      <td>Jupyter 4.0</td>\n",
       "      <td>C# 4.0+</td>\n",
       "      <td>scriptcs</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IRKernel</th>\n",
       "      <td>IPython 3.0</td>\n",
       "      <td>R 3.2</td>\n",
       "      <td>rzmq</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>SageMath</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>Any</td>\n",
       "      <td>many</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>pari_jupyter</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>2.8</td>\n",
       "      <td>Cython</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IFSharp</th>\n",
       "      <td>IPython 2.0</td>\n",
       "      <td>F#</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Features</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>gopherlab</th>\n",
       "      <td>Jupyter 4.1, JupyterLab</td>\n",
       "      <td>Go &gt;= 1.6</td>\n",
       "      <td>ZeroMQ (4.x)</td>\n",
       "      <td>examples</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Gophernotes</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>Go &gt;= 1.4</td>\n",
       "      <td>zeromq 2.2.x</td>\n",
       "      <td>examples</td>\n",
       "      <td>docker image</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IGo</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Go &gt;= 1.4</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IScala</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Scala</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Jupyter-scala</th>\n",
       "      <td>IPython&gt;=3.0</td>\n",
       "      <td>Scala&gt;=2.10</td>\n",
       "      <td>NaN</td>\n",
       "      <td>example</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IErlang</th>\n",
       "      <td>IPython 2.3</td>\n",
       "      <td>Erlang</td>\n",
       "      <td>rebar</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>ITorch</th>\n",
       "      <td>IPython &gt;= 2.2</td>\n",
       "      <td>Torch 7 (LuaJIT)</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IElixir</th>\n",
       "      <td>Jupyter &lt; 6.0</td>\n",
       "      <td>Elixir &lt; 1.5</td>\n",
       "      <td>Erlang OTP &lt;= 19.3, Rebar</td>\n",
       "      <td>example</td>\n",
       "      <td>IElixir Notebook in Docker</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>ierl</th>\n",
       "      <td>Jupyter &gt;= 4.0</td>\n",
       "      <td>Erlang 19 or 20, Elixir 1.4 or 1.5, LFE 1.2</td>\n",
       "      <td>Erlang, (optional) Elixir</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IAldor</th>\n",
       "      <td>IPython &gt;= 1</td>\n",
       "      <td>Aldor</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IOCaml</th>\n",
       "      <td>IPython &gt;= 1.1</td>\n",
       "      <td>OCaml &gt;= 4.01</td>\n",
       "      <td>opam</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IForth</th>\n",
       "      <td>IPython &gt;= 3</td>\n",
       "      <td>Forth</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IPerl</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Perl 5</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IPerl6</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Perl 6</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Jupyter-Perl6</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Perl 6.C</td>\n",
       "      <td>Rakudo Perl 6</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IPHP</th>\n",
       "      <td>IPython &gt;= 2</td>\n",
       "      <td>PHP &gt;= 5.4</td>\n",
       "      <td>composer</td>\n",
       "      <td>NaN</td>\n",
       "      <td>DEPRECATED, use Jupyter-PHP</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Jupyter-PHP</th>\n",
       "      <td>Jupyter 4.0</td>\n",
       "      <td>PHP &gt;= 7.0.0</td>\n",
       "      <td>composer, php-zmq</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IOctave</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Octave</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Example</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IScilab</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Scilab</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Example</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>MATLAB Kernel</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Matlab</td>\n",
       "      <td>pymatbridge</td>\n",
       "      <td>Example</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Bash</th>\n",
       "      <td>IPython &gt;= 3</td>\n",
       "      <td>bash</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Wrapper</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>PowerShell</th>\n",
       "      <td>IPython &gt;= 3</td>\n",
       "      <td>Windows</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Wrapper, Based on Bash Kernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>CloJupyter</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Clojure &gt;= 1.7</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>CLJ-Jupyter</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Clojure</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Abandoned as of 2017-02-12</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>jupyter-kernel-jsr223</th>\n",
       "      <td>Jupyter&gt;=4.0</td>\n",
       "      <td>Clojure 1.8</td>\n",
       "      <td>clojure-jrs223, Java&gt;=7</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Java based JSR223 compliant</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Hy Kernel</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Hy</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Tutorial</td>\n",
       "      <td>treats Hy as Python pre-processor</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Calysto Hy</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Hy</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Tutorial</td>\n",
       "      <td>based on MetaKernel (magics, shell, parallel, ...</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Redis Kernel</th>\n",
       "      <td>IPython &gt;= 3</td>\n",
       "      <td>redis</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Wrapper</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>jove</th>\n",
       "      <td>NaN</td>\n",
       "      <td>io.js</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>jp-babel</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Babel</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>ICalico</th>\n",
       "      <td>IPython &gt;= 2</td>\n",
       "      <td>multiple</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Index</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IMathics</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Mathics</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IWolfram</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Wolfram Mathematica</td>\n",
       "      <td>Wolfram Mathematica(R), Metakernel</td>\n",
       "      <td>NaN</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Lua Kernel</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Lua</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IPyLua</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Lua</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Fork of Lua Kernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Calysto Scheme</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Scheme</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Reference Guide</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Calysto Processing</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Processing.js &gt;= 2</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>idl_kernel</th>\n",
       "      <td>NaN</td>\n",
       "      <td>IDL</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>IDL seem to have a built-in kernel starting wi...</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Mochi Kernel</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Mochi</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Lua (used in Splash)</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Lua</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Apache Toree (formerly Spark Kernel)</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Scala, Python, R</td>\n",
       "      <td>Spark &gt;= 1.5</td>\n",
       "      <td>Example</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Skulpt Python Kernel</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Skulpt Python</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Examples</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>MetaKernel Bash</th>\n",
       "      <td>NaN</td>\n",
       "      <td>bash</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>MetaKernel Python</th>\n",
       "      <td>NaN</td>\n",
       "      <td>python</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IVisual</th>\n",
       "      <td>NaN</td>\n",
       "      <td>VPython</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Ball-in-Box</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IBrainfuck</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Brainfuck</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Demo</td>\n",
       "      <td>Wrapper</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>KDB+/Q Kernel (IKdbQ)</th>\n",
       "      <td>IPython &gt;= 3.1</td>\n",
       "      <td>Q</td>\n",
       "      <td>qzmq, qcrypt</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>KDB+/Q Kernel (KdbQ Kernel)</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Q</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>ICryptol</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Cryptol</td>\n",
       "      <td>CVC4</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>cling</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>C++</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Example</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Xonsh</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Xonsh</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Example</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Prolog</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Prolog</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>cl-jupyter</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Common Lisp</td>\n",
       "      <td>Quicklisp</td>\n",
       "      <td>About</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Maxima-Jupyter</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Maxima</td>\n",
       "      <td>Quicklisp</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Calysto LC3</th>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Assembly Language for the Little Computer 3</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Yacas</th>\n",
       "      <td>NaN</td>\n",
       "      <td>YACAS</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IJython</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Jython 2.7</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>ROOT</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>C++/python</td>\n",
       "      <td>ROOT &gt;= 6.05</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Gnuplot Kernel</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Gnuplot</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Example</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Tcl</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Tcl 8.5</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Based on Bash Kernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>J</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>J 805</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Examples</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Jython</th>\n",
       "      <td>Jupyter&gt;=4.0</td>\n",
       "      <td>Jython&gt;=2.7.0</td>\n",
       "      <td>Java&gt;=7</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Java based JSR223 compliant</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>C</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>C</td>\n",
       "      <td>gcc</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>TaQL</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>TaQL</td>\n",
       "      <td>python-casacore</td>\n",
       "      <td>TaQL tutorial</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Coconut</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Coconut</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>SPARQL</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>Python 2.7 or &gt;=3.4</td>\n",
       "      <td>rdflib, SPARQLWrapper</td>\n",
       "      <td>Examples</td>\n",
       "      <td>Optional GraphViz dependency</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>AIML chatbot</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>Python 2.7</td>\n",
       "      <td>pyAIML</td>\n",
       "      <td>Examples</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>IArm</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>ARMv6 THUMB</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Examples</td>\n",
       "      <td>Based off of the ARM Cortex M0+ CPU</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>SoS</th>\n",
       "      <td>Jupyter 4</td>\n",
       "      <td>Python &gt;=3.4</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Examples</td>\n",
       "      <td>Workflow system, Multi-Kernel support</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>jupyter-nodejs</th>\n",
       "      <td>Jupyter, iPython 3.x</td>\n",
       "      <td>NodeJS, Babel, Clojurescript</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Examples</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Pike</th>\n",
       "      <td>IPython &gt;= 3</td>\n",
       "      <td>Pike &gt;= 7.8</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Wrapper, Based on Bash Kernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>ITypeScript</th>\n",
       "      <td>NaN</td>\n",
       "      <td>Typescript &gt;= 2.0</td>\n",
       "      <td>Node.js &gt;= 0.10.0</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>imatlab</th>\n",
       "      <td>ipykernel &gt;= 4.1</td>\n",
       "      <td>MATLAB &gt;= 2016b</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>jupyter-kotlin</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Kotlin 1.1-M04 EAP</td>\n",
       "      <td>Java &gt;= 8</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>jupyter_kernel_singular</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>Singular 4.1.0</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Demo</td>\n",
       "      <td>Optional PySingular for better performance, su...</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>spylon-kernel</th>\n",
       "      <td>ipykernel &gt;=4.5</td>\n",
       "      <td>python &gt;= 3.5, scala &gt;= 2.11</td>\n",
       "      <td>Apache Spark &gt;=2.0</td>\n",
       "      <td>Example</td>\n",
       "      <td>MetaKernel</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>mit-scheme-kernel</th>\n",
       "      <td>Jupyter 4.0</td>\n",
       "      <td>MIT Scheme 9.2</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>elm-kernel</th>\n",
       "      <td>Jupyter</td>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Examples</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>SciJava Jupyter Kernel</th>\n",
       "      <td>Jupyter 4.3.0</td>\n",
       "      <td>Java + 9 scripting languages</td>\n",
       "      <td>Java</td>\n",
       "      <td>Examples</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>Isbt</th>\n",
       "      <td>Jupyter 4.3.0</td>\n",
       "      <td>sbt &gt;= 1.0.0</td>\n",
       "      <td>sbt</td>\n",
       "      <td>example</td>\n",
       "      <td>NaN</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>BeakerX</th>\n",
       "      <td>NaN</td>\n",
       "      <td>NaN</td>\n",
       "      <td>Groovy, Java, Scala, Clojure, Kotlin, SQL</td>\n",
       "      <td>example</td>\n",
       "      <td>docker image</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "\n",
    "    kernels = Import('.Number of Kernels')"
   ]
  }
 ],
 "metadata": {
  "celltoolbar": "Slideshow",
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.5.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
